# Class InheritanceLookup<V>

java.lang.Object
org.fressian.impl.InheritanceLookup<V>

All Implemented Interfaces:
  `ILookup<Class,V>`

public class InheritanceLookup<V> extends Object implements ILookup<Class,V>

## Constructor Summary

Constructors
Constructor
Description
`InheritanceLookup(ILookup lookup)`

## Method Summary

Modifier and Type
Method
Description
`V`
`checkBaseClasses(Class c)`
`V`
`checkBaseInterfaces(Class c)`
`static void`
`main(String[] args)`
`V`
`valAt(Class c)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InheritanceLookup

public InheritanceLookup(ILookup lookup)

## Method Details

### checkBaseClasses

public V checkBaseClasses(Class c)

### checkBaseInterfaces

public V checkBaseInterfaces(Class c)

### valAt

public V valAt(Class c)

Specified by:
  `valAt` in interface `ILookup<Class,V>`

### main

public static void main(String[] args)